Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Dantrell's GNOME Without Systemd Project (Part 3)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Spargeltarzan
Apprentice
Apprentice


Joined: 23 Jul 2017
Posts: 293

PostPosted: Wed May 15, 2019 7:49 am    Post subject: Reply with quote

Hello Dantrell,

Scribus fails to emerge, does it have something to do with poppler-85? Latest version available is 0.76.1.

Code:

!!! existing preserved libs:
>>> package: app-text/poppler-0.76.1
 *  - /usr/lib64/libpoppler.so.85
 *  - /usr/lib64/libpoppler.so.85.0.0
 *      used by /usr/lib64/scribus/plugins/libimportpdf.so (app-office/scribus-1.5.5_pre20190124)


Code:

ninja: build stopped: subcommand failed.
 * ERROR: app-office/scribus-1.5.5_pre20190124::gentoo failed (compile phase):
 *   ninja -v -j8 -l0 failed
 *
 * Call stack:
 *     ebuild.sh, line  124:  Called src_compile
 *   environment, line 3945:  Called cmake-utils_src_compile
 *   environment, line  972:  Called cmake-utils_src_make
 *   environment, line 1153:  Called _cmake_ninja_src_make
 *   environment, line  475:  Called eninja
 *   environment, line 1483:  Called die
 * The specific snippet of code:
 *       "$@" || die "${nonfatal_args[@]}" "${*} failed"

_________________
___________________
Regards

Spargeltarzan

Notebook: Lenovo YOGA 900-13ISK: Gentoo stable amd64, GNOME systemd, KVM/QEMU
Desktop-PC: Intel Core i7-4770K, 8GB Ram, AMD Radeon R9 280X, ZFS Storage, GNOME openrc, Dantrell, Xen
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 580
Location: Earth

PostPosted: Wed May 15, 2019 8:25 am    Post subject: Reply with quote

So I have been hard at work on another project lately but things have been relatively stable. My quiet roll-out of GNOME 3.32.2 was successful and there's only one update from my initial announcement:
  • Nautilus can thumbnail in a sandbox but the previous behaviour is still used. I initially said that it's probably time to default to the new behaviour but I forgot to rollout this change. ¯\_(ツ)_/¯
That said, besides whatever upstream broke between GNOME 3.30 and 3.32, there's 4 reported-yet-possibly-still-unresolved issues related to:
  • Suspend
  • WiFi
  • Laptop brightness
  • / mounted read-only
All 4 of these issues are things I can't reproduce and for the first 3, I'm still waiting to hear back from the users who reported them. The last one has already been determined to be related to OpenRC <0.41 but I didn't manage to pinpoint the responsible commit. I still consider this issue to be unresolved for the time being since I haven't backported the fix yet (I'll probably end up stabilizing a recent version instead).

Elleni wrote:
You certainly still appreciate the day, I joined your overlay and started testing

Like it was yesterday. :)

Elleni wrote:
But I am not able to find the correct way to launch gnome. Do you know what would be needed to launch it via vnc remote session?

I don't think GNOME has worked out-of-the-box with VNC (or Xephyr for that matter) for years.

You probably need to either disable the acceleration check and/or use the GNOME Flashback (formerly known as GNOME Fallback) session. So try:

Code:
gnome-session --disable-acceleration-check

or:
Code:
emerge --ask --oneshot gnome-base/gnome-flashback
gnome-session --session=gnome-flashback-metacity --disable-acceleration-check

Good luck. :twisted:

Spargeltarzan wrote:
Scribus fails to emerge, does it have something to do with poppler-85? Latest version available is 0.76.1.

You didn't link the full build log but I'm going guess you are running stable.

The project overlays allow ~ versions of app-text/poppler through for GNOME 3.30 and 3.32 but app-office/scribus-1.5.5_pre20190124 won't build against it (probably). Try the latest version instead:

Code:
ACCEPT_KEYWORDS="~*" emerge --ask --oneshot =app-office/scribus-1.5.5_pre20190429

_________________
Dantrell B.
Back to top
View user's profile Send private message
saboya
Guru
Guru


Joined: 28 Nov 2006
Posts: 448
Location: Brazil

PostPosted: Fri May 17, 2019 11:15 pm    Post subject: Reply with quote

Finally upgrading to 3.32, bumped into a wrong dep on gnome-extra/gnome-calculator-3.32

Code:
meson.build:29:0: ERROR:  Dependency "gtksourceview-4" not found, tried pkgconfig and cmake
Back to top
View user's profile Send private message
saboya
Guru
Guru


Joined: 28 Nov 2006
Posts: 448
Location: Brazil

PostPosted: Sat May 18, 2019 12:05 am    Post subject: Reply with quote

Except for the gnome-calculator dependency issue, everything went smoothly.

I hit a nasty issue with what I believe was an extension incompatibility that was locking me in the spotlight / search mode. After reviewing my extensions, everything seems fine. Might be placebo but feels snappier than 3.30.

As always, appreciate your effort into making this possible!
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 580
Location: Earth

PostPosted: Sat May 18, 2019 2:39 am    Post subject: Reply with quote

saboya wrote:
Finally upgrading to 3.32, bumped into a wrong dep on gnome-extra/gnome-calculator-3.32

Thanks for the heads up. I checked the source and updated the dependencies accordingly.

saboya wrote:
Might be placebo but feels snappier than 3.30.

GNOME 3.32 definitely came with real performance improvements. :)
_________________
Dantrell B.
Back to top
View user's profile Send private message
jlpoole
Guru
Guru


Joined: 01 Nov 2005
Posts: 344
Location: Salem, OR

PostPosted: Tue May 21, 2019 3:54 am    Post subject: gnome-base/gnome-settings-daemon-3.24.4-r2 fails to build Reply with quote

gnome-base/gnome-settings-daemon-3.24.4-r2 fails to build. I just went into auto-report as bug and created Bug #686396 and then was disabused that of the notion that the Gentoo Bug database is the wrong place to stage the problem. Since the information is there, I think it imprudent to repeat here and hope that someone might take a look at the bug and suggest a solution or work-around.
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 580
Location: Earth

PostPosted: Tue May 21, 2019 6:19 am    Post subject: Reply with quote

jlpoole wrote:
Since the information is there, I think it imprudent to repeat here and hope that someone might take a look at the bug and suggest a solution or work-around.

Your build.log and environment attachments are exactly the same but no matter.

Sync up and you should be good to go.
_________________
Dantrell B.
Back to top
View user's profile Send private message
Ultimator
n00b
n00b


Joined: 23 Jun 2018
Posts: 18

PostPosted: Mon May 27, 2019 4:03 pm    Post subject: Reply with quote

I updated to 3.32 without errors but the downgrade of elogind from 241.3 to 239.4 breaks gdm. The system boots into tty1 and when changing to tty7 the screen stays black. The log shows
Code:
elogind-daemon[13672]: segfault at 4 ip 00007fa331f88681 sp 00007ffd38c31948 error 4 in libc-2.29.so[7fa331e3d000+15c000]


dantrell wrote:
[*]Laptop brightness

Issue still persistent in 3.32
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 580
Location: Earth

PostPosted: Mon May 27, 2019 9:47 pm    Post subject: Reply with quote

Ultimator wrote:
I updated to 3.32 without errors but the downgrade of elogind from 241.3 to 239.4 breaks gdm.

My bad, you can upgrade again.

That's an interesting tidbit though and I now have even less of an idea about what's causing the suspend issues.

Ultimator wrote:
Issue still persistent in 3.32

I'm still investigating. :(
_________________
Dantrell B.
Back to top
View user's profile Send private message
Spargeltarzan
Apprentice
Apprentice


Joined: 23 Jul 2017
Posts: 293

PostPosted: Tue May 28, 2019 7:37 pm    Post subject: Reply with quote

Hi Dantrell,

kde-plasma/xdg-desktop-portal-kde-5.15.5-r1 fails to emerge on plasma+gnome profile. It becomes pulled with plasma-meta lately. (N)
Emerge --info
Log

Code:

emerge -pqv '=kde-plasma/xdg-desktop-portal-kde-5.15.5-r1::gentoo'
[ebuild  N    ] kde-plasma/xdg-desktop-portal-kde-5.15.5-r1  USE="-debug -test"


Any idea what is going wrong?
_________________
___________________
Regards

Spargeltarzan

Notebook: Lenovo YOGA 900-13ISK: Gentoo stable amd64, GNOME systemd, KVM/QEMU
Desktop-PC: Intel Core i7-4770K, 8GB Ram, AMD Radeon R9 280X, ZFS Storage, GNOME openrc, Dantrell, Xen
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22196
Location: here

PostPosted: Tue May 28, 2019 7:42 pm    Post subject: Reply with quote

Spargeltarzan wrote:
kde-plasma/xdg-desktop-portal-kde-5.15.5-r1 fails to emerge on plasma+gnome profile. It becomes pulled with plasma-meta lately. (N)
...
Any idea what is going wrong?

See https://forums.gentoo.org/viewtopic-p-8335776.html
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 580
Location: Earth

PostPosted: Tue May 28, 2019 8:42 pm    Post subject: Reply with quote

Spargeltarzan wrote:
Any idea what is going wrong?

fedeliallalinea wrote:
See https://forums.gentoo.org/viewtopic-p-8335776.html

While packages really shouldn't be using automagic, I'll concede that this is technically at least partially my fault and roll out a fix on my end.

I'm a bit busy at the moment so expect it in a couple hours, tops.

Edit: Sync up and you should be good to go.
_________________
Dantrell B.
Back to top
View user's profile Send private message
Spargeltarzan
Apprentice
Apprentice


Joined: 23 Jul 2017
Posts: 293

PostPosted: Wed May 29, 2019 8:21 am    Post subject: Reply with quote

Awesome! It emerges! :D

Many thanks!
_________________
___________________
Regards

Spargeltarzan

Notebook: Lenovo YOGA 900-13ISK: Gentoo stable amd64, GNOME systemd, KVM/QEMU
Desktop-PC: Intel Core i7-4770K, 8GB Ram, AMD Radeon R9 280X, ZFS Storage, GNOME openrc, Dantrell, Xen
Back to top
View user's profile Send private message
Ultimator
n00b
n00b


Joined: 23 Jun 2018
Posts: 18

PostPosted: Thu May 30, 2019 11:05 pm    Post subject: Reply with quote

dantrell wrote:
I'm still investigating. :(

My laptop is a Lenovo Yoga and I just noticed that I can wake it up when I touch the screen.
I don't think that was possible before so maybe it's not a bug after all but some kind of feature for touchscreen devices?
When I have time I will test if this behaviour also appears on non-touchscreen laptops.
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 580
Location: Earth

PostPosted: Mon Jun 03, 2019 2:00 am    Post subject: Reply with quote

Ultimator wrote:
My laptop is a Lenovo Yoga and I just noticed that I can wake it up when I touch the screen.
I don't think that was possible before so maybe it's not a bug after all but some kind of feature for touchscreen devices?
When I have time I will test if this behaviour also appears on non-touchscreen laptops.

For once this doesn't sound like a bug. :wink:

Seems appropriate that any kind of acceptable input would wake up the device.
_________________
Dantrell B.
Back to top
View user's profile Send private message
Ultimator
n00b
n00b


Joined: 23 Jun 2018
Posts: 18

PostPosted: Wed Jun 05, 2019 9:37 pm    Post subject: Reply with quote

Ultimator wrote:
I will test if this behaviour also appears on non-touchscreen laptops.

I did not test it on another laptop yet but the issue also appears on my desktop pc.
The monitor shows a black image but doesn't switch off after the timeout.
Does anyone else experience this on any machine? If not it's probably related to my configuration.
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 580
Location: Earth

PostPosted: Thu Jun 06, 2019 2:07 am    Post subject: Reply with quote

Ultimator wrote:
Ultimator wrote:
I will test if this behaviour also appears on non-touchscreen laptops.

I did not test it on another laptop yet but the issue also appears on my desktop pc.
The monitor shows a black image but doesn't switch off after the timeout.

Wait, this doesn't sound like the same issue you previously described about how touching the screen of a touchscreen laptop wakes it. :o
_________________
Dantrell B.
Back to top
View user's profile Send private message
Ultimator
n00b
n00b


Joined: 23 Jun 2018
Posts: 18

PostPosted: Thu Jun 06, 2019 8:14 am    Post subject: Reply with quote

dantrell wrote:
Wait, this doesn't sound like the same issue you previously described about how touching the screen of a touchscreen laptop wakes it. :o


Here is a detailed report of the issue. I also tested it on a non touch laptop now.
I hope it's clear what I mean. :)

The issue is that the screen doesn't turn off after the timeout.

What should (presumably) happen:
I set the Display timeout to x minutes in energy settings.
After the timeout the screen should stop showing an image and turn black.
Laptops should change their display brightness to 0.
Desktops should stop sending a HDMI signal to the monitor so that it can switch off.

I assume touch devices should keep their brightness or lower it but don't completely switch off because the touch stops working when the display brightness is set to 0 (at least on my yoga).
It still works on 1 though so setting the brightness to 1 does pretty much the same energy wise but would not break the touch to wake functionality.


What happens:
The screen turns black like expected
The laptop (touch and non touch) doesn't change the display brightness but keeps it on the current level.
The desktop keeps sending a HDMI signal to the monitor and therefore stops it from switching off.

In either case the result is that the screen stays on and the cursor is shown.

I assume that in earlier versions of gnome the laptop brightness was set to 0 and therefore the touch to wake didn't work.
So the touch to wake feature is maybe just a side effect of this issue (or the other way around).
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 580
Location: Earth

PostPosted: Sat Jun 08, 2019 11:28 am    Post subject: Reply with quote

Ultimator wrote:
Here is a detailed report of the issue.

Thanks for the detailed report.

I'm thinking that maybe if you oneshot downgrade GNOME Settings Daemon (and GNOME still runs), we can pinpoint the issue.
_________________
Dantrell B.
Back to top
View user's profile Send private message
Elleni
l33t
l33t


Joined: 23 May 2006
Posts: 869

PostPosted: Sat Jun 15, 2019 4:40 pm    Post subject: Reply with quote

Is 17.1 the default profile to choose now? And if so - may I request an updated combined 17.1 gnome & plasma profile. Thanks in advance for clarifying and adding if the default should be 17.1. If not, I am happy to stay at 17.0 keeping things simple :)

I am asking, because I see some threads about migrating to 17.1 althought I don't see any news item related on my systems. I only have this three news dating 2019:

eselect news list|grep 2019
Code:
  [52]     2019-02-13  MySQL server and library dependency shift
  [53]     2019-05-19  (2019-05-19-accept_license - removed?)
  [54]     2019-05-23  Change of ACCEPT_LICENSE default
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 580
Location: Earth

PostPosted: Sun Jun 16, 2019 1:59 pm    Post subject: Reply with quote

Elleni wrote:
Is 17.1 the default profile to choose now? And if so - may I request an updated combined 17.1 gnome & plasma profile.

Granted.

Elleni wrote:
Thanks in advance for clarifying and adding if the default should be 17.1. If not, I am happy to stay at 17.0 keeping things simple :)

Still on 13.0 myself. :wink:

Elleni wrote:
I am asking, because I see some threads about migrating to 17.1 althought I don't see any news item related on my systems. I only have this three news dating 2019: [...]

The 17.1 profiles are only a thing if you are using the amd64 architecture otherwise 17.0 is still the latest version.

That's probably why you don't see any related news releases (since they are architecture-specific).
_________________
Dantrell B.
Back to top
View user's profile Send private message
saboya
Guru
Guru


Joined: 28 Nov 2006
Posts: 448
Location: Brazil

PostPosted: Mon Jun 17, 2019 11:13 am    Post subject: Reply with quote

If you're not on multilib, the 17.1 migration should be painless.
Back to top
View user's profile Send private message
Shibotto
Tux's lil' helper
Tux's lil' helper


Joined: 19 Jun 2015
Posts: 122
Location: Italy

PostPosted: Sun Jun 23, 2019 12:53 pm    Post subject: Reply with quote

Hi everyone, long time no see (which usually is a good sign :lol: :lol: )
This weekend I tried to update my profile from 17.0 to 17.1, but obviously it's not going smoothly. I proceeded along every Gentoo instructions step as follow:

  1. Done
  2. Skipped, because I'm already on :8.3.0
  3. Done
  4. Done, with log
  5. Skipped, because what could possibly go wrong? :lol:
  6. Done, with log
  7. Done, everything seemed to work fine
  8. Done, with log
  9. Switched to dantrell-gnome-3-32:default/linux/amd64/17.1/desktop/gnome/3.32/extended
  10. Rebuilt gcc, ignored binutils and glibc because I'm not upgrading from 13.0
  11. In progress, that's where I got stuck (and no log, I forgot)
  12. TODO

The system still works, however 5 packages failed: libgudev, libgusb, pulseaudio, pango and colord. They all fail when compiling for x86_64 and trying to link to some glib libs, which seem to be erroneously searched in /usr/lib instead of /usr/lib64.

I already tried rebuilding glib, even glib::gentoo, but apparently that's not the problem. I also tried rebuilding binutils, glibc, launching ldconfig to update the cache, to no avail. However if I do this manually, it seems to work:
Code:
root ~ > gcc -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -lglib-2.0 test.c
root ~ > ldd a.out
   linux-vdso.so.1 (0x00007ffc17f92000)
   libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007f6118005000)
   libc.so.6 => /lib64/libc.so.6 (0x00007f6117e36000)
   libpcre.so.1 => /lib64/libpcre.so.1 (0x00007f6117dc3000)
   libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f6117da0000)
   /lib64/ld-linux-x86-64.so.2 (0x00007f611816a000)

I have no idea what else to look for, can anyone help?
Back to top
View user's profile Send private message
runningnak3d
n00b
n00b


Joined: 05 Sep 2018
Posts: 61

PostPosted: Sun Jun 23, 2019 1:23 pm    Post subject: Reply with quote

Just curious, since those are not packages that you need to have a running system, did you try unmerging them and reinstalling instead of rebuilding them?

-- Briam
Back to top
View user's profile Send private message
Shibotto
Tux's lil' helper
Tux's lil' helper


Joined: 19 Jun 2015
Posts: 122
Location: Italy

PostPosted: Sun Jun 23, 2019 1:52 pm    Post subject: Reply with quote

They seem to be needed on my system... yeah, like that will ever to stop me! :twisted:

I tried with libgudev: I made a backup with quickpkg, unmerged it and purged any preserved libs. Tried to compile, but still the same error. I presume nothing will change even with the other 4 packages :/

EDIT: I also tried rebuilding dev-util/pkgconfig, since it gets recommended a lot in 17.1 forum threads, but nothing.

EDIT2: Only projects linking to glib and using ./configure; make seem to be affected. Uhm...

FIXED: Apparently some lingering *.la in /usr/lib64 were misleading autotools. If someone has the same problem, find the orphan files (as per man):
Code:
qfile -o (find /lib64 /usr/lib64 -name "*.la")

And purge them :twisted:


Last edited by Shibotto on Sun Jun 23, 2019 5:39 pm; edited 2 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7  Next
Page 5 of 7

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum